List Policies

List Policies

List all policies

Request
URI
GET
https://{api_host}/tca/policy/api/v1/orgs/{orgIdForPolicy}/policies
COPY
Path Parameters
string
orgIdForPolicy
Required

The identifier of the tenant

Query Parameters
string
filter
Optional

The filter for listing. The format is (comparator,fieldName,value).

string
nextpage_opaque_marker
Optional

Opaque marker for paging. This optionally contains ordering as well.

nextpage_opaque_marker example
page_no=2,page_size=2,sort=id:desc
Header Parameters
boolean
x-tca-anymatch
Optional

If false, then the filter expressions are taken in logical AND relation, otherwise OR. Default - false


Responses
200

List of policies

Returns Array of RestPolicyInfo of type(s) application/json
[
    {
        "name": "string",
        "description": "string",
        "type": "string",
        "content": "apiVersion: rbac.authorization.k8s.io/v1 kind: ClusterRole metadata:\n  name: abc\nrules:\n  - apiGroups: \n      - rbac.authorization.k8s.io/v1\n    resources: \n      - clusterrolebindings\n      - clusterroles\n    verbs: \n      - get \n      - list\n      - create\n      - update\n      - patch\n      - delete\n  - apiGroups: [v1]\n    resources: [serviceaccounts]\n    verbs: [get, list, create, update, patch, delete]\n",
        "state": "string",
        "id": "string",
        "username": "string",
        "updatedAt": "string",
        "expiresAt": "string",
        "_links": {
            "self": {
                "href": "string"
            },
            "list": {
                "href": "string"
            },
            "export": {
                "href": "string"
            },
            "edit": {
                "href": "string"
            },
            "finalize": {
                "href": "string"
            },
            "delete": {
                "href": "string"
            },
            "grant": {
                "href": "string"
            },
            "listGrants": {
                "href": "string"
            }
        }
    }
]

Response Headers

undefined
TotalRowCount

undefined

undefined
Link

undefined


400
Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


401
Operation doesn't return any data structure

403
Operation doesn't return any data structure

500
Returns InrenalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors